# llm-classifiers

Framework to build production-grade LLM-based classifiers

## :cop: How to contribute

To contribute to this project, you should comply with the following guidelines.

### :book: Commit Messages

We follow the `Semantic Commit Messages` convention. This means that each commit message should be prefixed with a type,
followed by a scope and a message. The message should be in the imperative mood.

The following types are allowed:

- `[feat]`: A new feature.
- `[fix]`: A bug fix.
- `[docs]`: Documentation only changes.
- `[style]`: Changes that do not affect the meaning of the code (white-space, formatting, missing semi-colons, etc).
- `[refactor]`: A code change that neither fixes a bug nor adds a feature.
- `[perf]`: A code change that improves performance.
- `[test]`: Adding missing or correcting existing tests.
- `[chore]`: Changes to the build process or auxiliary tools and libraries such as documentation generation.
- `[revert]`: Reverts a previous commit.
- `[ci]`: Changes to our CI configuration files and scripts.

An example of a commit message is:

```bash
[feat] description of the scope of the feature.

Description of the changes in the imperative mood.

Changes:
 - Change 1
 - Change 2
```